hadoop-common-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ni...@apache.org
Subject svn commit: r736767 - in /hadoop/core/nightly: hudsonBuildHadoopNightly.sh hudsonBuildHadoopRelease.sh
Date Thu, 22 Jan 2009 20:04:29 GMT
Author: nigel
Date: Thu Jan 22 12:04:29 2009
New Revision: 736767

URL: http://svn.apache.org/viewvc?rev=736767&view=rev
Log:
update nightly build for clover and add release build script

Added:
    hadoop/core/nightly/hudsonBuildHadoopRelease.sh   (with props)
Modified:
    hadoop/core/nightly/hudsonBuildHadoopNightly.sh

Modified: hadoop/core/nightly/hudsonBuildHadoopNightly.sh
URL: http://svn.apache.org/viewvc/hadoop/core/nightly/hudsonBuildHadoopNightly.sh?rev=736767&r1=736766&r2=736767&view=diff
==============================================================================
--- hadoop/core/nightly/hudsonBuildHadoopNightly.sh (original)
+++ hadoop/core/nightly/hudsonBuildHadoopNightly.sh Thu Jan 22 12:04:29 2009
@@ -12,15 +12,15 @@
 ### setup build environment
 set -x
 ulimit -n 1024
-export ANT_OPTS=-Xmx512m
+export ANT_OPTS=-Xmx1024m
 TRUNK=`pwd`/trunk
 cd $TRUNK
 
 ### run this first before instrumenting classes
 $ANT_HOME/bin/ant -Dversion=$BUILD_ID -Declipse.home=$ECLIPSE_HOME -Dfindbugs.home=$FINDBUGS_HOME
-Djava5.home=$JAVA5_HOME -Dforrest.home=$FORREST_HOME clean docs tar findbugs
+RESULT=$?
 
 ### exit early if previous build fails
-RESULT=$?
 if [ $RESULT != 0 ] ; then
   echo "Build Failed: remaining tests not run"
   exit $RESULT

Added: hadoop/core/nightly/hudsonBuildHadoopRelease.sh
URL: http://svn.apache.org/viewvc/hadoop/core/nightly/hudsonBuildHadoopRelease.sh?rev=736767&view=auto
==============================================================================
--- hadoop/core/nightly/hudsonBuildHadoopRelease.sh (added)
+++ hadoop/core/nightly/hudsonBuildHadoopRelease.sh Thu Jan 22 12:04:29 2009
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+VERSION=$1
+ANT_HOME=$2
+XERCES_HOME=$3
+FORREST_HOME=$4
+PYTHON_HOME=$5
+ECLIPSE_HOME=$6
+JDIFF_HOME=$7
+JAVA5_HOME=$8
+JAVA32_HOME=$9
+JAVA64_HOME=$10
+
+set -x
+
+ulimit -n 1024
+
+### BUILD_ID is set by Hudson
+trunk=`pwd`/trunk
+
+cd $trunk
+
+export JAVA_HOME=$JAVA32_HOME
+export CFLAGS=-m32
+export CXXFLAGS=-m32
+$ANT_HOME/bin/ant -Dversion=$VERSION -Dcompile.native=true -Dcompile.c++=true -Dlibhdfs=1
-Dlibrecordio=true -Dxercescroot=$XERCES_HOME -Declipse.home=$ECLIPSE_HOME -Djdiff.home=$JDIFF_HOME
-Djava5.home=$JAVA5_HOME -Dforrest.home=$FORREST_HOME clean docs package-libhdfs api-report
tar test test-c++-libhdfs
+
+RESULT=$?
+if [ $RESULT != 0 ] ; then
+  echo "Build Failed: 64-bit build not run"
+  exit $RESULT
+fi
+
+export JAVA_HOME=$JAVA64_HOME
+export CFLAGS=-m64
+export CXXFLAGS=-m64
+$ANT_HOME/bin/ant -Dversion=$VERSION -Dcompile.native=true -Dcompile.c++=true compile-core-native
compile-c++ tar
+

Propchange: hadoop/core/nightly/hudsonBuildHadoopRelease.sh
------------------------------------------------------------------------------
    svn:executable = *



Mime
View raw message